| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
ExtendedOptions.h File Reference
`#include "../APIDef.h"`
`#include "../PODTypes.h"`
`#include <stdbool.h>`
`#include <wchar.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes
struct | LSProxySettings
struct | LSExtendedOptions

## Typedefs
typedef LS_API struct LSProxySettings | LSProxySettings
typedef LS_API struct LSExtendedOptions | LSExtendedOptions

## Functions
LS_API LSProxySettings * | CreateLSProxySettings (const char *proxy, const char *user, const char *password)
LS_API void | FreeLSProxySettings (LSProxySettings *settings)
LS_API LSExtendedOptions * | CreateLSExtendedOptions ()
LS_API LSExtendedOptions * | CreateLSExtendedOptionsByPath (const wchar_t *licenseFilePath)
LS_API LSExtendedOptions * | CreateLSExtendedOptionsEx (const wchar_t *licenseFilePath, const char *hardwareID, const LSProxySettings *proxy)
LS_API void | FreeLSExtendedOptions (LSExtendedOptions *options)

## Typedef Documentation

## ◆ LSProxySettings

typedef LS_API struct LSProxySettings LSProxySettings

## ◆ LSExtendedOptions

typedef LS_API struct LSExtendedOptions LSExtendedOptions

## Function Documentation

## ◆ CreateLSProxySettings()

LS_API LSProxySettings * CreateLSProxySettings | ( | const char * | proxy,
|  | const char * | user,
|  | const char * | password
| ) |  |

## ◆ FreeLSProxySettings()

LS_API void FreeLSProxySettings | ( | LSProxySettings * | settings | ) |

## ◆ CreateLSExtendedOptions()

LS_API LSExtendedOptions * CreateLSExtendedOptions | ( |  | ) |

## ◆ CreateLSExtendedOptionsByPath()

LS_API LSExtendedOptions * CreateLSExtendedOptionsByPath | ( | const wchar_t * | licenseFilePath | ) |

## ◆ CreateLSExtendedOptionsEx()

LS_API LSExtendedOptions * CreateLSExtendedOptionsEx | ( | const wchar_t * | licenseFilePath,
|  | const char * | hardwareID,
|  | const LSProxySettings * | proxy
| ) |  |

## ◆ FreeLSExtendedOptions()

LS_API void FreeLSExtendedOptions | ( | LSExtendedOptions * | options | ) |